Class HdfsFetcherConfig
java.lang.Object
com.norconex.crawler.core.fetch.BaseFetcherConfig
com.norconex.crawler.fs.fetch.impl.BaseAuthNioFetcherConfig
com.norconex.crawler.fs.fetch.impl.hdfs.HdfsFetcherConfig
Configuration for HdfsFetcher.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected booleanbooleanAuthentication method.Kerberos/SPNEGO configuration.inthashCode()setAuthMethod(HdfsAuthMethod authMethod) Authentication method.setKerberosConfig(KerberosConfig kerberosConfig) Kerberos/SPNEGO configuration.toString()Methods inherited from class com.norconex.crawler.fs.fetch.impl.BaseAuthNioFetcherConfig
getCredentials, getDomain, setDomainMethods inherited from class com.norconex.crawler.core.fetch.BaseFetcherConfig
getReferenceFilters, setReferenceFilters
-
Constructor Details
-
HdfsFetcherConfig
public HdfsFetcherConfig()
-
-
Method Details
-
getAuthMethod
Authentication method. Defaults toHdfsAuthMethod.SIMPLE(no real authentication, the configured username if any is sent as theuser.namequery parameter). UseHdfsAuthMethod.KERBEROSfor clusters withhadoop.security.authentication=kerberos, and setsetKerberosConfig(KerberosConfig)accordingly. -
getKerberosConfig
Kerberos/SPNEGO configuration. Required whengetAuthMethod()isHdfsAuthMethod.KERBEROS. -
setAuthMethod
Authentication method. Defaults toHdfsAuthMethod.SIMPLE(no real authentication, the configured username if any is sent as theuser.namequery parameter). UseHdfsAuthMethod.KERBEROSfor clusters withhadoop.security.authentication=kerberos, and setsetKerberosConfig(KerberosConfig)accordingly.- Returns:
this.
-
setKerberosConfig
Kerberos/SPNEGO configuration. Required whengetAuthMethod()isHdfsAuthMethod.KERBEROS.- Returns:
this.
-
equals
- Overrides:
equalsin classBaseAuthNioFetcherConfig
-
canEqual
- Overrides:
canEqualin classBaseAuthNioFetcherConfig
-
hashCode
public int hashCode()- Overrides:
hashCodein classBaseAuthNioFetcherConfig
-
toString
- Overrides:
toStringin classBaseAuthNioFetcherConfig
-